{combine_css path="plugins/nbc_ThemeChanger/theme/style.css"}

{combine_script id='jquery.tablesorter' load='async' require='jquery' path='plugins/nbc_ThemeChanger/include/jquery.tablesorter.js'}

{footer_script require='jquery.tablesorter'}{literal}
jQuery(document).ready(function() {
   // call the tablesorter plugin 
	jQuery("table#TCtablesorter").tablesorter({
		// extend the default setting to always sort on the first column 
		sortList : [[0,0]],
		// extend the default setting to always include the zebra widget. 
		widgets : ['zebra'],
		// On choisi ici les colonnes 2 et 3 (l'index commence à 0) // On désactive le tri sur cette colonne 
		headers : { 
				0 : { sorter:'text' },
				1 : { sorter:'text' },
				2: {  
				sorter: false  
				}  ,
				3: {  
				sorter: false  
				}  
			}
	});
}); 
{/literal}{/footer_script}


{footer_script require='jquery.tablesorter'}{literal}
jQuery(document).ready(function() {
  jQuery(".assocLink").tipTip({
		maxWidth: "auto", 
		activation: "hover",
		edgeOffset: 10,
		defaultPosition: "top",
		delay: 0
  });
});
{/literal}{/footer_script}



<div class="titrePage">
	<h3>Theme Changer</h3>
</div>

<!--br>
[ <a href="{$params.U_ADD_ASSOC}">{'add_assoc'|@translate}</a> ]
<br-->

<table class="table2" id="TCtablesorter">
  <thead> 
  <tr class="throw">
    <th>{'Albums'|@translate}</th>
    <th>{'Themes'|@translate}</th>
    <th>{'Action'|@translate}</th>
	<th>{'Status'|@translate}</th>
  </tr>
  </thead> 
  <!-- BEGIN assoc -->
  <tbody> 
  {foreach from=$assoc2 item=assoc key=i}  
  
<tr>
    <td>{$assoc.CATEGORY_NAME}</td>
    <td>{$assoc.TEMPLATE}</td>
    <td class="TDcenter">
      <a  href="{$assoc.U_MODIFY}"><img src="{$themeconf.icon_dir}/register.png" class="assocLink" alt="{'modify_assoc'|@translate}" title="{'modify_assoc'|@translate}"></a>
      <a  href="{$assoc.U_DELETE}" onclick="return confirm('{'Are you sure?'|@translate}');" ><img src="{$themeconf.icon_dir}/remove_s.png" class="assocLink" alt="{'delete_assoc'|@translate}" title="{'delete_assoc'|@translate}"></a>
    </td>
	<td class="TDcenter">
		{if ($assoc.STATUS=="Active")}
					<img src="{$themeconf.icon_dir}/validate_s.png" class="assocLink" alt="{'Valide_assoc'|@translate}" title="{'Valide_assoc'|@translate}">		
		{else}
		{if ($assoc.STATUS=="Delete")}
			<img src="{$themeconf.icon_dir}/errors.png" class="assocLink" alt="{'ErrorDelete_assoc'|@translate}" title="{'ErrorDelete_assoc'|@translate}" >
		{else}
			<img src="{$themeconf.icon_dir}/infos.png" class="assocLink"  alt="{'ErrorUnactive_assoc'|@translate}" title="{'ErrorUnactive_assoc'|@translate}">
		{/if}
		{/if}		
	</td>
	
  </tr>
  {/foreach}
  </tbody>
  <!-- END assoc -->
</table>

<!-- BEGIN formulaire -->
<form method="post" action="{$nbc_ThemeChanger_F_ACTION}" class="general">
  <fieldset>
    <legend>{$formulaire.DESCRIPION}</legend>
    <table class="table2" id="TCassoc">
		<thead>
      <tr class="throw">
        <th>{'Album'|@translate}</th>
        <th>{'Theme'|@translate}</th>
		<th>{'subAlbumsApply'|@translate}</th>
      </tr>
	  </thead>
	  <tbody>
      <tr>
        <td>
          <!-- BEGIN categorylist -->
          <select class="categoryDropDown" name="categorychoise">
            <!-- BEGIN parent_option -->
			{foreach from=$params.Categories item=Categories key=i}
				{if ($formulaire.IDTOMODIFY==$Categories.id)}
					<option value="{$Categories.id}" selected ="selected">{$Categories.longName}</option>	
				{else}
					<option value="{$Categories.id}">{$Categories.longName}</option>	
				{/if}
			{/foreach}
            <!-- END parent_option -->
          </select>
          <!-- END categorylist -->
        </td>
        <td>
			<select name="template" id="template">
			<!-- BEGIN template_option -->
			{foreach from=$params.Themes item=Themes key=i}
			{if ($formulaire.THEMETOMODIFY==$Themes.id)}
					<option value="{$Themes.id}" selected ="selected">{$Themes.id}</option>
					
				{else}
					<option value="{$Themes.id}" {$Themes.id}>{$Themes.id}</option>
				{/if}
				
            {/foreach}
			<!-- END template_option -->
			</select>
        </td>
		<td>
			<div align="center"><input type="checkbox" name="ApplySubCategories" value="true">
			</div>
		</td>
	  </tr>
	  </tbody>
    </table>
    <div align="center"><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED} /></div>
  </fieldset>
</form>
<!-- END formulaire -->